View Issue Details

IDProjectCategoryView StatusLast Update
0005643DarkRadiantMap Editingpublic03.07.2021 15:25
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.13.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0005643: Three-Way Map Merge
DescriptionNow that the two-way (diff) merge algorithm is in place, the next step is to implement the three-way merge pattern which takes a base map into account to compare the actual changes from that common starting point.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master 359b5009

2021-06-14 13:55:23

greebo

Details Diff
0005643: Add skeleton class representing a three-way merge operation Affected Issues
0005643
mod - libs/scene/CMakeLists.txt Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
add - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
add - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 6ea48e27

2021-06-14 15:30:22

greebo

Details Diff
0005643: Introduce MergeOperationBase class to host the shared code Affected Issues
0005643
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
add - libs/scene/merge/MergeOperationBase.cpp Diff File
add - libs/scene/merge/MergeOperationBase.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 26bef51e

2021-06-15 03:15:35

greebo

Details Diff
0005643: Roughly lay out the code paths for the conflict detection code Affected Issues
0005643
mod - libs/scene/merge/GraphComparer.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File

DarkRadiant: master 10d3b0ab

2021-06-15 04:14:54

greebo

Details Diff
0005643: Lots of refactorings and bits of implementation. Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File

DarkRadiant: master 3a86bd8d

2021-06-15 04:47:17

greebo

Details Diff
0005643: Handle primitive removals and addition targeting the same entity Affected Issues
0005643
mod - libs/scene/merge/GraphComparer.cpp Diff File
mod - libs/scene/merge/GraphComparer.h Diff File
mod - libs/scene/merge/NodeUtils.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File

DarkRadiant: master a35d2f29

2021-06-15 05:05:19

greebo

Details Diff
0005643: ConflictResolutionActions apply the changes only if explicitly told so by the client code Affected Issues
0005643
mod - libs/scene/merge/MergeAction.h Diff File

DarkRadiant: master 33d28ff9

2021-06-15 05:09:37

greebo

Details Diff
0005643: Adjust CMakeLists.txt Affected Issues
0005643
mod - libs/scene/CMakeLists.txt Diff File

DarkRadiant: master 39f57ac8

2021-06-15 08:10:33

greebo

Details Diff
0005643: Start setting up the unit tests for the three-way merge scenario Affected Issues
0005643
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - test/MapMerging.cpp Diff File
add - test/resources/tdm/maps/threeway_merge_base.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_source_1.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_target_1.mapx Diff File

DarkRadiant: master 8bc51096

2021-06-15 09:50:25

greebo

Details Diff
0005643: Verify that the changes to the target scene are preserved before and after the merge Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 11ca5a5d

2021-06-15 10:50:02

greebo

Details Diff
0005643: Fix implementation for merging primitive changes into the target map Affected Issues
0005643
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master c1fa2516

2021-06-15 11:04:05

greebo

Details Diff
0005643: Test covering spawnarg modifications Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 0c2b0d0f

2021-06-15 16:04:32

greebo

Details Diff
0005643: Non-conflicting changes mostly covered Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 3efa9b83

2021-06-15 19:09:46

greebo

Details Diff
0005643: Add the only seemingly trivial test which performs a three-way merge with the same map used as source and target.
Fixup the implementation to get a green test result.
Affected Issues
0005643
mod - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/GraphComparer.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 54b38fe9

2021-06-16 03:42:42

greebo

Details Diff
0005643: Another test covering primitive handling of func_static entities Affected Issues
0005643
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - test/MapMerging.cpp Diff File
mod - test/algorithm/Scene.h Diff File
add - test/resources/tdm/maps/threeway_merge_source_2.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_target_2.mapx Diff File

DarkRadiant: master 0ab693c9

2021-06-18 08:12:38

greebo

Details Diff
0005643: Extend INamespace interface by a method that only covers a subset of the to-be-imported scene. Affected Issues
0005643
mod - include/inamespace.h Diff File
mod - radiantcore/map/namespace/Namespace.cpp Diff File
mod - radiantcore/map/namespace/Namespace.h Diff File

DarkRadiant: master 440a55df

2021-06-18 08:34:02

greebo

Details Diff
0005643: Restructure the whole process into two phases.
Phase 1 will detect any name conflicts that will occur during merge and will adjust the entity names accordingly (using Namespace algorithms).
Phase 2 will create the actions necessary to bring the source changes into the target scene.
Start preparing the corresponding unit test.
Affected Issues
0005643
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - test/MapMerging.cpp Diff File
mod - test/resources/tdm/maps/threeway_merge_base.mapx Diff File
mod - test/resources/tdm/maps/threeway_merge_source_2.mapx Diff File
mod - test/resources/tdm/maps/threeway_merge_target_2.mapx Diff File

DarkRadiant: master 23cc9213

2021-06-18 09:12:53

greebo

Details Diff
0005643: Craft the unit test to check the name conflict resolution Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master e2fec672

2021-06-18 12:13:40

greebo

Details Diff
0005643: Add a ConflictType enum to be able to specifically tell what a conflict is about.
Expand unit tests by some value change conflicts.
Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - test/MapMerging.cpp Diff File
mod - test/resources/tdm/maps/threeway_merge_source_2.mapx Diff File
mod - test/resources/tdm/maps/threeway_merge_target_2.mapx Diff File

DarkRadiant: master 6217c990

2021-06-18 12:25:40

greebo

Details Diff
0005643: Add tests covering removal of modified spawnargs as well the modification of removed spawnargs Affected Issues
0005643
mod - test/MapMerging.cpp Diff File
mod - test/resources/tdm/maps/threeway_merge_source_2.mapx Diff File
mod - test/resources/tdm/maps/threeway_merge_target_2.mapx Diff File

DarkRadiant: master c9684c6f

2021-06-18 18:10:28

greebo

Details Diff
0005643: Start working on the UI part. Extend Map interface to create a three-way merge operation when a base map is available. Affected Issues
0005643
mod - include/imap.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File

DarkRadiant: master 5c8141c0

2021-06-18 19:35:11

greebo

Details Diff
0005643: Render conflict nodes with an orange overlay Affected Issues
0005643
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: master 2d21b62a

2021-06-19 06:08:21

greebo

Details Diff
0005643: Expose conflict resolution action interface Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 16cd7ea1

2021-06-19 06:44:00

greebo

Details Diff
0005643: More work on visualising conflicts, add some handling code to EntityInspector. Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/wxutil/dataview/TreeViewItemStyle.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 35770902

2021-06-19 06:46:53

greebo

Details Diff
0005643: Fixup unit tests Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master e836dd22

2021-06-19 16:17:43

greebo

Details Diff
0005643: Working on EntityInspector accepting and rejecting conflicting key/value changes and the way the associated nodes are rendered. Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - libs/wxutil/dataview/TreeViewItemStyle.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: master 2ac47956

2021-06-19 16:34:23

greebo

Details Diff
0005643: Resolved conflict actions that are rejected later should report as deactivated Affected Issues
0005643
mod - libs/scene/merge/MergeAction.h Diff File

DarkRadiant: master 913de02e

2021-06-19 19:14:29

greebo

Details Diff
0005643: Minor WIP to the control dialog Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master 398f70fe

2021-06-20 06:23:50

greebo

Details Diff
0005643: More conflict resolution logic. Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master 24cf0227

2021-06-20 07:38:45

greebo

Details Diff
0005643: More conflict UI handling, focusing on functionality only. Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File

DarkRadiant: master d5bdd83f

2021-06-20 15:53:10

greebo

Details Diff
0005643: Conflicts of type "ModificationOfRemovedEntity" transform into AddEntityNodes on accept. To see what's going on, the removed node needs to be added to the target scene for preview purposes. Affected Issues
0005643
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: master 31ff662f

2021-06-20 16:02:18

greebo

Details Diff
0005643: Share algorithm to deactivate conflict nodes on deletion. Affected Issues
0005643
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master a8e3607f

2021-06-20 16:32:12

greebo

Details Diff
0005643: Move code to deactivate the conflict actions (and reject the source change) on removal from scene to the nodes. Affected Issues
0005643
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: master 2205cdc9

2021-06-20 17:13:57

greebo

Details Diff
0005643: Fix Linux build Affected Issues
0005643
mod - libs/scene/merge/MergeAction.h Diff File

DarkRadiant: master 6f5a0c5d

2021-06-20 17:35:03

greebo

Details Diff
0005643: Some simplifications Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master f159b4cd

2021-06-21 04:57:49

greebo

Details Diff
0005643: Notify when there's nothing to merge. Display a description of every single merge action. Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: master 58dde92a

2021-06-21 08:45:36

greebo

Details Diff
0005643: Add "FocusView" command accepting two vector3 arguments (origin and angles). Implement Jump to next Conflict functionality. Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - libs/scenelib.h Diff File
mod - radiant/ui/entitylist/EntityList.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - radiantcore/map/MapPosition.cpp Diff File
mod - radiantcore/map/MapPositionManager.cpp Diff File

DarkRadiant: master dee964f4

2021-06-21 10:48:04

greebo

Details Diff
0005643: Start implementing the 3-way selection group merge algorithm Affected Issues
0005643
mod - libs/scene/merge/SelectionGroupMerger.h Diff File
add - libs/scene/merge/SelectionGroupMergerBase.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
add - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 9c0c68de

2021-06-21 10:59:26

greebo

Details Diff
0005643: Move finger print helpers to base class Affected Issues
0005643
mod - libs/scene/merge/SelectionGroupMerger.h Diff File
mod - libs/scene/merge/SelectionGroupMergerBase.h Diff File
mod - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File

DarkRadiant: master 3a346c28

2021-06-22 05:13:07

greebo

Details Diff
0005643: Start crafting the three way selection group merge unit test cases.
First rough implementation of the ThreeWaySelectionGroupMerger class.
Affected Issues
0005643
mod - libs/scene/merge/SelectionGroupMergerBase.h Diff File
mod - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File
mod - test/MapMerging.cpp Diff File
add - test/resources/tdm/maps/threeway_merge_groups_base.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_groups_source_1.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_groups_target_1.mapx Diff File

DarkRadiant: master fc68f1b3

2021-06-22 09:20:08

greebo

Details Diff
0005643: Add Change tracking to ThreeWaySelectionGroupMerger Affected Issues
0005643
mod - libs/scene/merge/SelectionGroupMerger.h Diff File
mod - libs/scene/merge/SelectionGroupMergerBase.h Diff File
mod - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File
mod - test/MapMerging.cpp Diff File
mod - test/resources/tdm/maps/threeway_merge_groups_source_1.mapx Diff File
mod - test/resources/tdm/maps/threeway_merge_groups_target_1.mapx Diff File

DarkRadiant: master 79abab4a

2021-06-22 12:22:31

greebo

Details Diff
0005643: Make sure no groups of the same size are stacked on top of each other for each node. Merge these groups of same size if they turn out this way after merging. Affected Issues
0005643
mod - libs/scene/merge/SelectionGroupMergerBase.h Diff File
mod - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File

DarkRadiant: master aca1f96b

2021-06-22 12:45:17

greebo

Details Diff
0005643: Fixup unit test code, had to remove a few assertions since they are not useful to detect whether things are working Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 6d18eb9e

2021-06-22 17:56:14

greebo

Details Diff
0005643: Cleanup and docs Affected Issues
0005643
mod - libs/scene/merge/ThreeWaySelectionGroupMerger.h Diff File

DarkRadiant: master f33fefac

2021-06-22 18:17:01

greebo

Details Diff
0005643: Change unit test assertion now that redundant selection groups are purged during processing Affected Issues
0005643
mod - test/MapMerging.cpp Diff File

DarkRadiant: master a21511de

2021-06-22 19:03:44

greebo

Details Diff
0005643: ThreeWayLayerMerger class stub (copied from LayerMerger) Affected Issues
0005643
add - libs/scene/merge/ThreeWayLayerMerger.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 3e316e25

2021-06-23 15:14:16

greebo

Details Diff
0005643: Crafting the layer merge unit test cases Affected Issues
0005643
mod - test/MapMerging.cpp Diff File
add - test/resources/tdm/maps/threeway_merge_layers_source_1.mapx Diff File
add - test/resources/tdm/maps/threeway_merge_layers_target_1.mapx Diff File

DarkRadiant: master 752eb305

2021-06-24 03:38:00

greebo

Details Diff
0005643: WIP commit, working on the layer merge implementation Affected Issues
0005643
mod - libs/scene/merge/LayerMerger.h Diff File
add - libs/scene/merge/LayerMergerBase.h Diff File
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 7b4be456

2021-06-24 04:00:58

greebo

Details Diff
0005643: Implement handling of deleted layers Affected Issues
0005643
mod - libs/scene/merge/LayerMerger.h Diff File
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File

DarkRadiant: master fbe6af79

2021-06-24 08:41:59

greebo

Details Diff
0005643: Partially implement the handling for layer additions to the source map Affected Issues
0005643
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master eeff905b

2021-06-24 09:36:39

greebo

Details Diff
0005643: Implemented layer addition handling, unit test case is green Affected Issues
0005643
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master b5d9c488

2021-06-24 10:12:44

greebo

Details Diff
0005643: Partial implementation for handling modified source layers Affected Issues
0005643
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File

DarkRadiant: master 4c732b32

2021-06-24 10:21:12

greebo

Details Diff
0005643: Finished implementation for handling modified source layers Affected Issues
0005643
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File

DarkRadiant: master bdab773e

2021-06-24 10:32:05

greebo

Details Diff
0005643: Remove tons of unneeded code Affected Issues
0005643
mod - libs/scene/merge/ThreeWayLayerMerger.h Diff File

DarkRadiant: master c063fcbd

2021-06-24 13:25:49

greebo

Details Diff
0005643: Add mode toggle buttons to the merge control dialog Affected Issues
0005643
add - install/bitmaps/three_way_merge.png Diff File
add - install/bitmaps/two_way_merge.png Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master c5c1d4d1

2021-06-24 14:34:45

greebo

Details Diff
0005643: Improve dialog control behaviour when toggling between merge modes Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master 19ab4ed4

2021-06-24 17:53:06

greebo

Details Diff
0005643: User will be asked if the merge should be cancelled before closing the control dialog. Affected Issues
0005643
mod - libs/wxutil/window/TransientWindow.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: master edaabe88

2021-06-24 18:02:41

greebo

Details Diff
0005643: Scroll the text entry box to the last position, to show the map file name when picking an absolute map path. Affected Issues
0005643
mod - libs/wxutil/PathEntry.cpp Diff File

DarkRadiant: master 02127bd8

2021-07-01 16:45:18

greebo

Details Diff
0005643: Cut down the time it takes to create the three-way merge operation Affected Issues
0005643
mod - libs/math/Hash.h Diff File
mod - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/GraphComparer.cpp Diff File
mod - libs/scene/merge/GraphComparer.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master 149528a0

2021-07-02 17:33:14

greebo

Details Diff
0005643: Don't allow selection cloning when in merge mode Affected Issues
0005643
mod - radiantcore/selection/algorithm/Transformation.cpp Diff File

DarkRadiant: master 9f8ca637

2021-07-02 17:50:31

greebo

Details Diff
0005643: Fix crash when test-selecting a patch removal merge action node Affected Issues
0005643
mod - radiantcore/patch/PatchNode.cpp Diff File

DarkRadiant: master 2ee17a8c

2021-07-03 04:35:37

greebo

Details Diff
0005643: Move lots of scene-related algorithm to scene/merge/MergeLib.h. Start adding a way to resolve entity conflicts by keeping both versions. Affected Issues
0005643
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
add - libs/scene/merge/MergeLib.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master 9a8ed7c7

2021-07-03 05:41:18

greebo

Details Diff
0005643: Extend IConflictResolutionAction to be able to access both (source and target) entities. Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeLib.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: master c34710e3

2021-07-03 12:01:37

greebo

Details Diff
0005643: Ensure that adding func_* entities from the source scene keeps the "model"=="name" equality intact.
Move some classes to scenelib.
Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - libs/scene/CMakeLists.txt Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeLib.h Diff File
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: master bbbe4dc0

2021-07-03 12:14:03

greebo

Details Diff
0005643: Make sure func_* entities that are inserted for merge preview purposes are keeping their model and name spawnargs synced. Affected Issues
0005643
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - libs/scene/merge/MergeLib.h Diff File

DarkRadiant: master 0ded72c3

2021-07-03 15:18:36

greebo

Details Diff
0005643: When adding merge actions to an ongoing operation, the Map class needs to be notified to create the corresponding merge node Affected Issues
0005643
mod - include/imapmerge.h Diff File
mod - libs/scene/merge/MergeLib.h Diff File
mod - libs/scene/merge/MergeOperationBase.cpp Diff File
mod - libs/scene/merge/MergeOperationBase.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File

Issue History

Date Modified Username Field Change
11.06.2021 16:59 greebo New Issue
11.06.2021 16:59 greebo Assigned To => greebo
11.06.2021 16:59 greebo Status new => assigned
14.06.2021 14:08 greebo Changeset attached => DarkRadiant master 359b5009
15.06.2021 04:47 greebo Changeset attached => DarkRadiant master 6ea48e27
15.06.2021 04:47 greebo Changeset attached => DarkRadiant master 26bef51e
15.06.2021 04:47 greebo Changeset attached => DarkRadiant master 10d3b0ab
15.06.2021 04:47 greebo Changeset attached => DarkRadiant master 3a86bd8d
15.06.2021 05:09 greebo Changeset attached => DarkRadiant master a35d2f29
15.06.2021 05:09 greebo Changeset attached => DarkRadiant master 33d28ff9
15.06.2021 16:13 greebo Changeset attached => DarkRadiant master 39f57ac8
15.06.2021 16:13 greebo Changeset attached => DarkRadiant master 8bc51096
15.06.2021 16:13 greebo Changeset attached => DarkRadiant master 11ca5a5d
15.06.2021 16:13 greebo Changeset attached => DarkRadiant master c1fa2516
15.06.2021 16:13 greebo Changeset attached => DarkRadiant master 0c2b0d0f
16.06.2021 04:01 greebo Changeset attached => DarkRadiant master 3efa9b83
16.06.2021 04:01 greebo Changeset attached => DarkRadiant master 54b38fe9
18.06.2021 09:14 greebo Changeset attached => DarkRadiant master 0ab693c9
18.06.2021 09:14 greebo Changeset attached => DarkRadiant master 440a55df
18.06.2021 09:14 greebo Changeset attached => DarkRadiant master 23cc9213
18.06.2021 12:25 greebo Changeset attached => DarkRadiant master e2fec672
18.06.2021 12:25 greebo Changeset attached => DarkRadiant master 6217c990
18.06.2021 19:35 greebo Changeset attached => DarkRadiant master c9684c6f
18.06.2021 19:35 greebo Changeset attached => DarkRadiant master 5c8141c0
19.06.2021 16:34 greebo Changeset attached => DarkRadiant master 2d21b62a
19.06.2021 16:34 greebo Changeset attached => DarkRadiant master 16cd7ea1
19.06.2021 16:34 greebo Changeset attached => DarkRadiant master 35770902
19.06.2021 16:34 greebo Changeset attached => DarkRadiant master e836dd22
19.06.2021 16:34 greebo Changeset attached => DarkRadiant master 2ac47956
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master 913de02e
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master 398f70fe
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master 24cf0227
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master d5bdd83f
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master 31ff662f
20.06.2021 16:32 greebo Changeset attached => DarkRadiant master a8e3607f
20.06.2021 17:14 greebo Changeset attached => DarkRadiant master 2205cdc9
21.06.2021 09:00 greebo Changeset attached => DarkRadiant master 6f5a0c5d
21.06.2021 09:00 greebo Changeset attached => DarkRadiant master f159b4cd
21.06.2021 09:00 greebo Changeset attached => DarkRadiant master 58dde92a
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master dee964f4
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master 9c0c68de
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master 3a346c28
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master fc68f1b3
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master 79abab4a
22.06.2021 12:45 greebo Changeset attached => DarkRadiant master aca1f96b
22.06.2021 18:17 greebo Changeset attached => DarkRadiant master 6d18eb9e
22.06.2021 18:17 greebo Changeset attached => DarkRadiant master f33fefac
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master a21511de
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master 3e316e25
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master 752eb305
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master 7b4be456
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master fbe6af79
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master eeff905b
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master b5d9c488
24.06.2021 10:21 greebo Changeset attached => DarkRadiant master 4c732b32
24.06.2021 10:32 greebo Changeset attached => DarkRadiant master bdab773e
24.06.2021 18:02 greebo Changeset attached => DarkRadiant master c063fcbd
24.06.2021 18:02 greebo Changeset attached => DarkRadiant master c5c1d4d1
24.06.2021 18:02 greebo Changeset attached => DarkRadiant master 19ab4ed4
24.06.2021 18:02 greebo Changeset attached => DarkRadiant master edaabe88
24.06.2021 18:09 greebo Status assigned => resolved
24.06.2021 18:09 greebo Resolution open => fixed
24.06.2021 18:09 greebo Fixed in Version => 2.13.0
24.06.2021 18:09 greebo Target Version => 2.13.0
01.07.2021 17:02 greebo Changeset attached => DarkRadiant master 02127bd8
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master 149528a0
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master 9f8ca637
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master 2ee17a8c
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master 9a8ed7c7
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master c34710e3
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master bbbe4dc0
03.07.2021 15:25 greebo Changeset attached => DarkRadiant master 0ded72c3